
package com.tmerclub.cloud.order.constant;

/**
 * 平台介入金额退款方式 1.商家承担 2.商家供应商承担（供应商发货订单） 3.不同意退款
 *
 * @author lhd
 */
public enum InterventionRefundType {
    /**
     * 商家承担
     */
    SHOP(1),
    /**
     * 商家供应商承担（供应商发货订单）
     */
    COMMON(2),
    /**
     * 不同意退款
     */
    REJECT(3);

    private final Integer num;

    InterventionRefundType(Integer num) {
        this.num = num;
    }

    public Integer value() {
        return num;
    }

    public static InterventionRefundType instance(Integer value) {
        InterventionRefundType[] enums = values();
        for (InterventionRefundType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
